Index: sw/source/filter/html/swhtml.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/html/swhtml.cxx,v
retrieving revision 1.43
diff -u -p -r1.43 swhtml.cxx
--- sw/source/filter/html/swhtml.cxx	27 Sep 2007 09:51:55 -0000	1.43
+++ sw/source/filter/html/swhtml.cxx	17 Dec 2007 16:26:18 -0000
@@ -1348,6 +1348,21 @@ void __EXPORT SwHTMLParser::NextToken( i
 		}
 		else if( aUnknownToken.Len() )
 		{
+			// Fix i#59064 : Paste content of unknown tags.
+			if (aToken.Len() > 0)
+			{
+				if( !bDocInitalized )
+					DocumentDetected();
+				pDoc->Insert( *pPam, aToken, true );
+
+				// wenn es noch vorlaefige Absatz-Attribute gibt, der Absatz aber
+				// nicht leer ist, dann sind die Absatz-Attribute entgueltig.
+				if( aParaAttrs.Count() )
+					aParaAttrs.Remove( 0, aParaAttrs.Count() );
+
+				SetAttr();
+			}
+
 			// Unbekannte Token im Header werden nur durch ein passendes
 			// End-Token, </HEAD> oder <BODY> wieder beendet. Darin wird Text
 			// ignoriert.
@@ -1365,6 +1380,7 @@ void __EXPORT SwHTMLParser::NextToken( i
 			case HTML_TEXTTOKEN:
 				return;
 			default:
+				aUnknownToken.Erase();
 				break;
 			}
 		}
